import { AnnotationLayerDescription } from "./AnnotationLayerDescription";
import { FormatSpecifierDescription } from "./FormatSpecifierDescription";
import { Type } from "./type";
/**
 * @hidden
 */
export declare class DataToolTipLayerDescription extends AnnotationLayerDescription {
    static $t: Type;
    protected get_type(): string;
    constructor();
    private lz;
    get targetAxisRef(): string;
    set targetAxisRef(a: string);
    private gs;
    get useInterpolation(): boolean;
    set useInterpolation(a: boolean);
    private kv;
    get groupingMode(): string;
    set groupingMode(a: string);
    private kr;
    get actualGroupingMode(): string;
    set actualGroupingMode(a: string);
    private hw;
    get positionOffsetX(): number;
    set positionOffsetX(a: number);
    private hx;
    get positionOffsetY(): number;
    set positionOffsetY(a: number);
    private g7;
    get defaultPositionOffsetX(): number;
    set defaultPositionOffsetX(a: number);
    private g8;
    get defaultPositionOffsetY(): number;
    set defaultPositionOffsetY(a: number);
    private kt;
    get groupedPositionModeX(): string;
    set groupedPositionModeX(a: string);
    private kp;
    get actualGroupedPositionModeX(): string;
    set actualGroupedPositionModeX(a: string);
    private ku;
    get groupedPositionModeY(): string;
    set groupedPositionModeY(a: string);
    private kq;
    get actualGroupedPositionModeY(): string;
    set actualGroupedPositionModeY(a: string);
    private gr;
    get shouldUpdateWhenSeriesDataChanges(): boolean;
    set shouldUpdateWhenSeriesDataChanges(a: boolean);
    private gh;
    get includedSeries(): string[];
    set includedSeries(a: string[]);
    private ge;
    get excludedSeries(): string[];
    set excludedSeries(a: string[]);
    private gg;
    get includedColumns(): string[];
    set includedColumns(a: string[]);
    private gd;
    get excludedColumns(): string[];
    set excludedColumns(a: string[]);
    private ma;
    get valueFormatAbbreviation(): string;
    set valueFormatAbbreviation(a: string);
    private kl;
    get valueFormatMaxFractions(): number;
    set valueFormatMaxFractions(a: number);
    private km;
    get valueFormatMinFractions(): number;
    set valueFormatMinFractions(a: number);
    private mc;
    get valueFormatMode(): string;
    set valueFormatMode(a: string);
    private mb;
    get valueFormatCulture(): string;
    set valueFormatCulture(a: string);
    private gt;
    get valueFormatUseGrouping(): boolean;
    set valueFormatUseGrouping(a: boolean);
    private md;
    get valueFormatString(): string;
    set valueFormatString(a: string);
    private gi;
    get valueFormatSpecifiers(): FormatSpecifierDescription[];
    set valueFormatSpecifiers(a: FormatSpecifierDescription[]);
    private il;
    get valueRowMarginBottom(): number;
    set valueRowMarginBottom(a: number);
    private im;
    get valueRowMarginLeft(): number;
    set valueRowMarginLeft(a: number);
    private io;
    get valueRowMarginRight(): number;
    set valueRowMarginRight(a: number);
    private ip;
    get valueRowMarginTop(): number;
    set valueRowMarginTop(a: number);
    private gu;
    get valueRowVisible(): boolean;
    set valueRowVisible(a: boolean);
    private mi;
    get valueTextWhenMissingData(): string;
    set valueTextWhenMissingData(a: string);
    private gv;
    get valueTextUseSeriesColors(): boolean;
    set valueTextUseSeriesColors(a: boolean);
    private ir;
    get valueTextMarginBottom(): number;
    set valueTextMarginBottom(a: number);
    private is;
    get valueTextMarginLeft(): number;
    set valueTextMarginLeft(a: number);
    private it;
    get valueTextMarginRight(): number;
    set valueTextMarginRight(a: number);
    private iu;
    get valueTextMarginTop(): number;
    set valueTextMarginTop(a: number);
    private me;
    get valueTextColor(): string;
    set valueTextColor(a: string);
    private mf;
    get valueTextFontFamily(): string;
    set valueTextFontFamily(a: string);
    private iq;
    get valueTextFontSize(): number;
    set valueTextFontSize(a: number);
    private mg;
    get valueTextFontStyle(): string;
    set valueTextFontStyle(a: string);
    private mh;
    get valueTextFontWeight(): string;
    set valueTextFontWeight(a: string);
    private k2;
    get headerFormatString(): string;
    set headerFormatString(a: string);
    private gf;
    get headerFormatSpecifiers(): FormatSpecifierDescription[];
    set headerFormatSpecifiers(a: FormatSpecifierDescription[]);
    private k0;
    get headerFormatCulture(): string;
    set headerFormatCulture(a: string);
    private k1;
    get headerFormatDate(): string;
    set headerFormatDate(a: string);
    private k3;
    get headerFormatTime(): string;
    set headerFormatTime(a: string);
    private k4;
    get headerText(): string;
    set headerText(a: string);
    private k5;
    get headerTextColor(): string;
    set headerTextColor(a: string);
    private hn;
    get headerTextMarginBottom(): number;
    set headerTextMarginBottom(a: number);
    private ho;
    get headerTextMarginLeft(): number;
    set headerTextMarginLeft(a: number);
    private hp;
    get headerTextMarginRight(): number;
    set headerTextMarginRight(a: number);
    private hq;
    get headerTextMarginTop(): number;
    set headerTextMarginTop(a: number);
    private hi;
    get headerRowMarginBottom(): number;
    set headerRowMarginBottom(a: number);
    private hj;
    get headerRowMarginLeft(): number;
    set headerRowMarginLeft(a: number);
    private hk;
    get headerRowMarginRight(): number;
    set headerRowMarginRight(a: number);
    private hl;
    get headerRowMarginTop(): number;
    set headerRowMarginTop(a: number);
    private gq;
    get headerRowVisible(): boolean;
    set headerRowVisible(a: boolean);
    private k6;
    get headerTextFontFamily(): string;
    set headerTextFontFamily(a: string);
    private hm;
    get headerTextFontSize(): number;
    set headerTextFontSize(a: number);
    private k7;
    get headerTextFontStyle(): string;
    set headerTextFontStyle(a: string);
    private k8;
    get headerTextFontWeight(): string;
    set headerTextFontWeight(a: string);
    private gp;
    get groupRowVisible(): boolean;
    set groupRowVisible(a: boolean);
    private kw;
    get groupTextColor(): string;
    set groupTextColor(a: string);
    private he;
    get groupTextMarginBottom(): number;
    set groupTextMarginBottom(a: number);
    private hf;
    get groupTextMarginLeft(): number;
    set groupTextMarginLeft(a: number);
    private hg;
    get groupTextMarginRight(): number;
    set groupTextMarginRight(a: number);
    private hh;
    get groupTextMarginTop(): number;
    set groupTextMarginTop(a: number);
    private g9;
    get groupRowMarginBottom(): number;
    set groupRowMarginBottom(a: number);
    private ha;
    get groupRowMarginLeft(): number;
    set groupRowMarginLeft(a: number);
    private hb;
    get groupRowMarginRight(): number;
    set groupRowMarginRight(a: number);
    private hc;
    get groupRowMarginTop(): number;
    set groupRowMarginTop(a: number);
    private kx;
    get groupTextFontFamily(): string;
    set groupTextFontFamily(a: string);
    private hd;
    get groupTextFontSize(): number;
    set groupTextFontSize(a: number);
    private ky;
    get groupTextFontStyle(): string;
    set groupTextFontStyle(a: string);
    private kz;
    get groupTextFontWeight(): string;
    set groupTextFontWeight(a: string);
    private ll;
    get summaryTitleTextColor(): string;
    set summaryTitleTextColor(a: string);
    private lm;
    get summaryTitleTextFontFamily(): string;
    set summaryTitleTextFontFamily(a: string);
    private h3;
    get summaryTitleTextFontSize(): number;
    set summaryTitleTextFontSize(a: number);
    private ln;
    get summaryTitleTextFontStyle(): string;
    set summaryTitleTextFontStyle(a: string);
    private lo;
    get summaryTitleTextFontWeight(): string;
    set summaryTitleTextFontWeight(a: string);
    private lp;
    get summaryType(): string;
    set summaryType(a: string);
    private lk;
    get summaryTitleText(): string;
    set summaryTitleText(a: string);
    private h4;
    get summaryTitleTextMarginBottom(): number;
    set summaryTitleTextMarginBottom(a: number);
    private h5;
    get summaryTitleTextMarginLeft(): number;
    set summaryTitleTextMarginLeft(a: number);
    private h6;
    get summaryTitleTextMarginRight(): number;
    set summaryTitleTextMarginRight(a: number);
    private h7;
    get summaryTitleTextMarginTop(): number;
    set summaryTitleTextMarginTop(a: number);
    private hz;
    get summaryRowMarginBottom(): number;
    set summaryRowMarginBottom(a: number);
    private h0;
    get summaryRowMarginLeft(): number;
    set summaryRowMarginLeft(a: number);
    private h1;
    get summaryRowMarginRight(): number;
    set summaryRowMarginRight(a: number);
    private h2;
    get summaryRowMarginTop(): number;
    set summaryRowMarginTop(a: number);
    private lv;
    get summaryValueTextColor(): string;
    set summaryValueTextColor(a: string);
    private lw;
    get summaryValueTextFontFamily(): string;
    set summaryValueTextFontFamily(a: string);
    private h9;
    get summaryValueTextFontSize(): number;
    set summaryValueTextFontSize(a: number);
    private lx;
    get summaryValueTextFontStyle(): string;
    set summaryValueTextFontStyle(a: string);
    private ly;
    get summaryValueTextFontWeight(): string;
    set summaryValueTextFontWeight(a: string);
    private lf;
    get summaryLabelText(): string;
    set summaryLabelText(a: string);
    private lg;
    get summaryLabelTextColor(): string;
    set summaryLabelTextColor(a: string);
    private lh;
    get summaryLabelTextFontFamily(): string;
    set summaryLabelTextFontFamily(a: string);
    private hy;
    get summaryLabelTextFontSize(): number;
    set summaryLabelTextFontSize(a: number);
    private li;
    get summaryLabelTextFontStyle(): string;
    set summaryLabelTextFontStyle(a: string);
    private lj;
    get summaryLabelTextFontWeight(): string;
    set summaryLabelTextFontWeight(a: string);
    private lq;
    get summaryUnitsText(): string;
    set summaryUnitsText(a: string);
    private lr;
    get summaryUnitsTextColor(): string;
    set summaryUnitsTextColor(a: string);
    private ls;
    get summaryUnitsTextFontFamily(): string;
    set summaryUnitsTextFontFamily(a: string);
    private h8;
    get summaryUnitsTextFontSize(): number;
    set summaryUnitsTextFontSize(a: number);
    private lt;
    get summaryUnitsTextFontStyle(): string;
    set summaryUnitsTextFontStyle(a: string);
    private lu;
    get summaryUnitsTextFontWeight(): string;
    set summaryUnitsTextFontWeight(a: string);
    private g3;
    get badgeMarginBottom(): number;
    set badgeMarginBottom(a: number);
    private g4;
    get badgeMarginLeft(): number;
    set badgeMarginLeft(a: number);
    private g5;
    get badgeMarginRight(): number;
    set badgeMarginRight(a: number);
    private g6;
    get badgeMarginTop(): number;
    set badgeMarginTop(a: number);
    private ks;
    get badgeShape(): string;
    set badgeShape(a: string);
    private le;
    get layoutMode(): string;
    set layoutMode(a: string);
    private l4;
    get unitsDisplayMode(): string;
    set unitsDisplayMode(a: string);
    private l5;
    get unitsText(): string;
    set unitsText(a: string);
    private l6;
    get unitsTextColor(): string;
    set unitsTextColor(a: string);
    private ih;
    get unitsTextMarginBottom(): number;
    set unitsTextMarginBottom(a: number);
    private ii;
    get unitsTextMarginLeft(): number;
    set unitsTextMarginLeft(a: number);
    private ij;
    get unitsTextMarginRight(): number;
    set unitsTextMarginRight(a: number);
    private ik;
    get unitsTextMarginTop(): number;
    set unitsTextMarginTop(a: number);
    private l7;
    get unitsTextFontFamily(): string;
    set unitsTextFontFamily(a: string);
    private ig;
    get unitsTextFontSize(): number;
    set unitsTextFontSize(a: number);
    private l8;
    get unitsTextFontStyle(): string;
    set unitsTextFontStyle(a: string);
    private l9;
    get unitsTextFontWeight(): string;
    set unitsTextFontWeight(a: string);
    private ib;
    get titleTextMarginBottom(): number;
    set titleTextMarginBottom(a: number);
    private ic;
    get titleTextMarginLeft(): number;
    set titleTextMarginLeft(a: number);
    private id;
    get titleTextMarginRight(): number;
    set titleTextMarginRight(a: number);
    private ie;
    get titleTextMarginTop(): number;
    set titleTextMarginTop(a: number);
    private l0;
    get titleTextColor(): string;
    set titleTextColor(a: string);
    private l1;
    get titleTextFontFamily(): string;
    set titleTextFontFamily(a: string);
    private ia;
    get titleTextFontSize(): number;
    set titleTextFontSize(a: number);
    private l2;
    get titleTextFontStyle(): string;
    set titleTextFontStyle(a: string);
    private l3;
    get titleTextFontWeight(): string;
    set titleTextFontWeight(a: string);
    private k9;
    get labelDisplayMode(): string;
    set labelDisplayMode(a: string);
    private la;
    get labelTextColor(): string;
    set labelTextColor(a: string);
    private hs;
    get labelTextMarginBottom(): number;
    set labelTextMarginBottom(a: number);
    private ht;
    get labelTextMarginLeft(): number;
    set labelTextMarginLeft(a: number);
    private hu;
    get labelTextMarginRight(): number;
    set labelTextMarginRight(a: number);
    private hv;
    get labelTextMarginTop(): number;
    set labelTextMarginTop(a: number);
    private lb;
    get labelTextFontFamily(): string;
    set labelTextFontFamily(a: string);
    private hr;
    get labelTextFontSize(): number;
    set labelTextFontSize(a: number);
    private lc;
    get labelTextFontStyle(): string;
    set labelTextFontStyle(a: string);
    private ld;
    get labelTextFontWeight(): string;
    set labelTextFontWeight(a: string);
}
